Subject: Re: bug#74994: Acknowledgement (Improve Emacs iCalendar support)

From: Eli Zaretskii <[email-masked]>
Date: Sun, 19 Jan 2025 11:21:53 +0200

> From: Richard Lawrence <[email-masked]>
> Date: Sun, 19 Jan 2025 08:59:30 +0100
> 
> I know this bug was opened right before the holidays, and it's a big
> patch, so I understand if no one's had time to look at it yet. Before I
> put any more work into this, though, it would useful if someone could
> just give this a quick look and tell me if it seems like I'm headed in
> the right direction: a "yes, this looks reasonable, let us know when
> you're finished" or a "there's no way this will get merged, please start
> over with a new approach" would be helpful feedback to have at this
> point. (Of course, more detailed feedback is welcome too, if someone has
> time.)

You posted 2 patches, both of them quite large.  We don't have
icalendar experts on board whom we could ask to review the patches.
Are there any specific aspects of the patches you'd like us to look
into, or some specific design issues you'd like to discuss?  That'd
make the review more focused.

I can see already that your doc strings are not always according to
our conventions (the first line must be a single complete sentence),
and also the commit log messages need to be more detailed.  But these
are aspects best deferred until you have a version close to the final
one, now is too early for that.

One other comment is to be sure the many cl-isms you use don't get in
the way of debugging the code, since Edebug is known to provide weaker
support for some cl-lib construct and cl-macs macros.  So if you find
some macros or constructs that would make debugging harder, and can
replace them with simpler code without sacrificing too much, that
would be appreciated.

Other than that, please help us provide more focused review by
pointing out the issues and aspects for which you'd like our feedback.

Thanks.